org.apache.lucene.queries.function.valuesource

## Class SimpleFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.SingleFunction
    - - org.apache.lucene.queries.function.valuesource.SimpleFloatFunction

-     public abstract class SimpleFloatFunction
      extends SingleFunction

  A simple float function with a single argument

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.SingleFunction

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFloatFunction(ValueSource source)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract float` | `func(int doc, FunctionValues vals)`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.SingleFunction

      `createWeight, description, equals, hashCode, name`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleFloatFunction

          public SimpleFloatFunction(ValueSource source)

  - ### Method Detail

    - #### func

          protected abstract float func(int doc,
                                        FunctionValues vals)
                                 throws IOException

      Throws:
        `IOException`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.